How to create valid Android Virtual Device?

Hi all!

I'm using IntelliJ IDEA 12.1.2 CE to develop under Andriod. I've created default "Hello World!" application, but I can't start it on any virtual device.
I've tried Android SDK from 4.0 to 4.2.2 (all downloaded via default SDK manager). And different AVDs created from defaults: target from 14 to 17. I've also tried to change 'android:minSdkVersion' and 'android:targetSdkVersion' tag's values in AndroidManifest.xml to lower ones.

But in all possible configurations the result AVD is not valid (that is the only information I can get from the IDE).

I'm about to give up and download the Eclipse... =(

Can you please tell me how to create a valid AVD for SDK 4.0 and younger ones?

Thank you in advance.

1 comment

Please try not to use "Galaxy Nexus" device image. We have an issue about it: IDEA-107759

0

Please sign in to leave a comment.